{% extends "layouts/admin_base.html" %}
{% block title %}校務廣播 - 文章列表{% endblock %}

{% block left_side %}d-none{% endblock %}
{% block right_side %}col-md-12{% endblock %}

{% block subtitle %}
校務廣播/文章列表
{% endblock %}
{% block subtitle_date %}
<a class="btn btn-primary float-right" href="{{ url_for('admin_news.admin_new_news_post')}}">
  新增文章
</a>
{% endblock %}

{% block body %}
<section>
  {% for post in news_posts.items %}
  <div class="news_list">
    {% if post.top %}
    <a class="col-11 text-danger"
      href="{{ url_for('admin_news.admin_edit_news_post', id=post.id) }}">{{ post.title }}</a>
    {% else %}
    <a class="col-11" href="{ url_for('admin_news.admin_edit_news_post', id=post.id) }}">{{ post.title }}</a>
    {% endif %}
    <a class="float-right" href="{ url_for('admin_news.admin_del_news_post', id=post.id) }}">
      <img src="{{ url_for('static', filename='images/del.jpg') }}">
    </a>
  </div>
  <hr>
  {% endfor %}
  {{ render_pagination(news_posts, '.admin_news_index') }}
</section>
{% endblock %}
